Page MenuHomePhabricator

[libc++][P0784] Marked allocator_traits constexpr.
AbandonedPublic

Authored by mpark on Nov 4 2019, 6:45 AM.

Details

Reviewers
ldionne
EricWF
mclow.lists
Group Reviewers
Restricted Project

Event Timeline

mpark created this revision.Nov 4 2019, 6:45 AM
ldionne requested changes to this revision.Nov 4 2019, 8:17 AM
ldionne added inline comments.
libcxx/test/std/utilities/memory/allocator.traits/allocator.traits.members/deallocate.pass.cpp
58

This works, but I would be happier if we instead passed the address of an object, and checked that the right address had been passed in A<T>::deallocate. WDYT?

This revision now requires changes to proceed.Nov 4 2019, 8:17 AM
mpark updated this revision to Diff 228863.Nov 12 2019, 4:30 AM

Updated the synopsis of tests.

mpark marked 2 inline comments as done.Nov 12 2019, 4:30 AM
mpark added inline comments.
libcxx/test/std/utilities/memory/allocator.traits/allocator.traits.members/deallocate.pass.cpp
58

Updated to pass an object in instead.

mpark updated this revision to Diff 228978.EditedNov 12 2019, 3:38 PM
mpark marked an inline comment as done.
  • Rebased.
  • Fixed tests
  • Addressed @ldionne's comment about passing objects.
mpark updated this revision to Diff 229010.Nov 12 2019, 10:41 PM

Rebased.

ldionne requested changes to this revision.Nov 13 2019, 8:16 AM
ldionne added inline comments.
libcxx/test/support/test_macros.h
147

Is that an artifact of rebases? It looks like it's handled above.

This revision now requires changes to proceed.Nov 13 2019, 8:16 AM

This is superseded by D68364. Thanks a lot for your work on this @mpark, I based my patch on top of yours. I tried taking all the comments from this review and incorporating them into D68364.

Herald added a reviewer: Restricted Project. · View Herald TranscriptSep 17 2020, 1:15 PM
mpark abandoned this revision.Sep 17 2020, 1:20 PM